practicaunidad4

## Class CCuenta

- java.lang.Object
- - practicaunidad4.CCuenta

-     public class CCuenta
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `nombre`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCuenta()` Constructor sin argumentos
    `CCuenta(java.lang.String nom, java.lang.String cue, double sal, double tipo)` Constructor con parámetro para iniciar todas las propiedades de la clase

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `asignarNombre(java.lang.String nom)` Método para asignar el nombre del titular de la cuenta
    `double` | `estado()` Método que me devuelve el saldo disponible en cada momento
    `double` | `getTipoInterés()` Nos devuelve el tipo de interés
    `void` | `ingresar(double cantidad)` Método para ingresar cantidades en la cuenta.
    `java.lang.String` | `obtenerCuenta()` Devuelve el número de cuenta
    `java.lang.String` | `obtenerNombre()` Método que me devuelve el nombre del titular
    `void` | `retirar(double cantidad)` Método para retirar cantidades en la cuenta.
    `void` | `setCuenta(java.lang.String cuenta)` Asignamos el número de la cuenta
    `void` | `setSaldo(double saldo)` Asignamos el valor al saldo
    `void` | `setTipoInterés(double tipoInterés)` Asignamos el valor del tipo de interés

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nombre

          protected java.lang.String nombre

  - ### Constructor Detail

    - #### CCuenta

          public CCuenta()

      Constructor sin argumentos

    - #### CCuenta

          public CCuenta(java.lang.String nom,
                 java.lang.String cue,
                 double sal,
                 double tipo)

      Constructor con parámetro para iniciar todas las propiedades de la clase
      Parameters:
        `nom` - Nombre del cliente de la cuenta
        `cue` - Número de la cuenta del cliente
        `sal` - Saldo actual en la cuenta
        `tipo` - Tipo de interés a aplicar a la cuenta

  - ### Method Detail

    - #### asignarNombre

          public void asignarNombre(java.lang.String nom)

      Método para asignar el nombre del titular de la cuenta
      Parameters:
        `nom` - Nombre del titular

    - #### obtenerNombre

          public java.lang.String obtenerNombre()

      Método que me devuelve el nombre del titular
      Returns:
        `nombre` Nombre del titular

    - #### estado

          public double estado()

      Método que me devuelve el saldo disponible en cada momento
      Returns:
        `saldo` Saldo disponible en la cuenta

    - #### ingresar

          public void ingresar(double cantidad)
                        throws java.lang.Exception

      Método para ingresar cantidades en la cuenta. Modifica el saldo.
      Parameters:
        `cantidad` - Dinero a ingresar en cuenta
      Throws:
        `java.lang.Exception` - Controlamos que no se introduzcan cantidades negativas

    - #### retirar

          public void retirar(double cantidad)
                       throws java.lang.Exception

      Método para retirar cantidades en la cuenta. Modifica el saldo.
      Parameters:
        `cantidad` - Dinero a sacar de la cuenta
      Throws:
        `java.lang.Exception` - Controlamos que no se retiren cantidades negativas ni superiores al saldo

    - #### obtenerCuenta

          public java.lang.String obtenerCuenta()

      Devuelve el número de cuenta
      Returns:
        `cuenta` Cadena con el número de cuenta

    - #### setCuenta

          public void setCuenta(java.lang.String cuenta)

      Asignamos el número de la cuenta
      Parameters:
        `cuenta` - Numero de la cuenta del cliente

    - #### setSaldo

          public void setSaldo(double saldo)

      Asignamos el valor al saldo
      Parameters:
        `saldo` - Introduce el saldo actual

    - #### getTipoInterés

          public double getTipoInterés()

      Nos devuelve el tipo de interés
      Returns:
        `tipoInterés` Porcentaje a aplicar

    - #### setTipoInterés

          public void setTipoInterés(double tipoInterés)

      Asignamos el valor del tipo de interés
      Parameters:
        `tipoInterés` - Porcentaje a aplicar